Bug 229818 - [WK2] Turn on support for Cross-Origin-Opener-Policy / Cross-Origin-Embedder-Policy
Summary: [WK2] Turn on support for Cross-Origin-Opener-Policy / Cross-Origin-Embedder-...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on:
Blocks: 228755
  Show dependency treegraph
 
Reported: 2021-09-02 11:17 PDT by Chris Dumez
Modified: 2021-09-09 16:57 PDT (History)
7 users (show)

See Also:


Attachments
Patch (1.58 KB, patch)
2021-09-02 11:19 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2021-09-02 11:17:27 PDT
Turn on support for Cross-Origin-Opener-Policy / Cross-Origin-Embedder-Policy on WebKit2.
Comment 1 Chris Dumez 2021-09-02 11:19:48 PDT
Created attachment 437169 [details]
Patch
Comment 2 Radar WebKit Bug Importer 2021-09-02 11:20:51 PDT
<rdar://problem/82684580>
Comment 3 EWS 2021-09-03 10:28:04 PDT
Committed r282007 (241314@main): <https://commits.webkit.org/241314@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 437169 [details].
Comment 4 Chris Dumez 2021-09-09 16:57:52 PDT
Follow-up fix in <https://commits.webkit.org/r282245>. I swear my bugzilla patch was modifying the right settings but somehow, the committed version was not :/